Installing Java PRIOR to AOO

Issues with installing under all Linux Distributions

Installing Java PRIOR to AOO

Postby thespian1967 » Thu May 14, 2020 7:15 pm


"Where Can I Get Java?

The current versions of Apache OpenOffice work reliably with a variety of JREs including Oracle Java, versions 6, 7 and 8 and openJDK, versions 6, 7 and 8. Feel free to download a JRE from either of these sites if you feel you need this functionality."



The instructions on https://www.openoffice.org/download/common/java.html are probably out-of-date. I tried using the link and was taken to an Oracle/Java page, where, when I tried to d/l the package, I was told I had to have "authorization". I have a Oracle (non-paid) account. I cannot get another.

Also, Java (without any other designator such as Java SE) no longer exist as described at the AOO page. The closest I could find is:

Java SE 7 Archive Downloads
https://www.oracle.com/java/technologie ... loads.html

but that is named: Java SE 7. I have no way to tell if it is the software referred to on the AOO page.

Could you please give me a URL for the most recent Java for Debian Linux that works with AOO.
Openoffice 6.0.7.3 and Linux Ubuntu 18.04 LTS (Bionic Beaver)
thespian1967
 
Posts: 3
Joined: Tue Jan 08, 2019 9:47 pm

Re: Installing Java PRIOR to AOO

Postby RoryOF » Thu May 14, 2020 8:29 pm

I am using AdoptOpenJDK JDK 11 with Hotspot on Xubuntu 20.04 - this worked also with Xubuntu 18.04.4
Apache OpenOffice 4.1.7 on Xubuntu 20.04.1 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 31535
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Installing Java PRIOR to AOO

Postby Bill » Fri May 15, 2020 3:23 pm

You should be able to install a suitable jdk from the Debian repository. Open a terminal and use the command
Code: Select all   Expand viewCollapse view
apt search openjdk
to find what's available. In my case, on Kubuntu, openjdk-14-jdk was available from the Kubuntu repository, so I used the command
Code: Select all   Expand viewCollapse view
sudo apt install openjdk-14-jdk
to install it. It is working with minimal testing of Wizards and Find in Help.
AOO 4.1.7 on Manjaro Cinnamon
Bill
Volunteer
 
Posts: 7911
Joined: Sat Nov 24, 2007 6:48 am

Re: Installing Java PRIOR to AOO

Postby Villeroy » Fri May 15, 2020 9:28 pm

Get familiar with your system. Unless you know precisely what you are doing (wanting), you never download any software from questionable sources. You install and update all software from the software repository of your distribution. As far as I know, a Java runtime is pre-installed with the system.
Try this in a terminal window:
Code: Select all   Expand viewCollapse view
java --version

On my system it returns:
Code: Select all   Expand viewCollapse view
openjdk 11.0.7 2020-04-14
OpenJDK Runtime Environment (build 11.0.7+10-post-Ubuntu-2ubuntu218.04)
OpenJDK 64-Bit Server VM (build 11.0.7+10-post-Ubuntu-2ubuntu218.04, mixed mode, sharing)


OpenOffice does not work well with Ubuntu 18.4. The pre-installed LO 6.0 is the office version that simply works. No Linux distributor ships OpenOffice.

And even if you find some obscure reason to run AOO on Linux and you do not have any JRE pre-installed, there is no reason to install a JRE prior to AOO because AOO does not depend on Java.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04, no OpenOffice, LibreOffice 6.4
User avatar
Villeroy
Volunteer
 
Posts: 28642
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: Installing Java PRIOR to AOO

Postby Bill » Fri May 15, 2020 9:54 pm

Distrowatch says that openjdk 11 is in the default Debian 10 installation. The Kubuntu installation doesn't include openjdk, so I had to install it from the repository.
AOO 4.1.7 on Manjaro Cinnamon
Bill
Volunteer
 
Posts: 7911
Joined: Sat Nov 24, 2007 6:48 am

Re: Installing Java PRIOR to AOO

Postby RoryOF » Fri May 15, 2020 10:01 pm

Villeroy wrote:OpenOffice does not work well with Ubuntu 18.4. The pre-installed LO 6.0 is the office version that simply works. No Linux distributor ships OpenOffice.


I used OpenOffice 4.1.6, 4.1.7 on Xubuntu 18.04.x with no problems. Now using it on Xubuntu 20.04
Apache OpenOffice 4.1.7 on Xubuntu 20.04.1 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 31535
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Installing Java PRIOR to AOO

Postby Villeroy » Fri May 15, 2020 10:13 pm

I can crash AOO on Ubuntu 18.4. at any time. Nobody will ever fix this problem because AOO has no maintainers, not even in the Apache foundation. From the viewpoint of a Linux distributor AOO is abandonware, nobody at home. Windows users trust in well known branding and don't care about anything behind the scenes.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04, no OpenOffice, LibreOffice 6.4
User avatar
Villeroy
Volunteer
 
Posts: 28642
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests